Index: /LMDZ5/trunk/DefLists/CMIP6_ping_atmos.xml
===================================================================
--- /LMDZ5/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 2986)
+++ /LMDZ5/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 2987)
@@ -34,5 +34,5 @@
    <field id="CMIP6_albdirbnd"     field_ref="dummy_XY"         /> <!-- P1 (1.0) band_direct_albedo : Direct surface albedo for each band -->
    <field id="CMIP6_albisccp"      field_ref="albisccp"         /> <!-- P1 (1.0) cloud_albedo : ISCCP Mean Cloud Albedo. Time-means are weighted by the ISCCP Total Cloud Fraction {:cltisccp} - see  http://cfmip.metoffice.com/COSP.html -->
-   <field id="CMIP6_aod550volso4"  field_ref="dummy_XY"         /> <!-- P1 (1e-09) aerosol_optical_depth_due_to_stratospheric_volcanic_aerosols : aerosol optical depth at 550 nm due to stratospheric volcanic aerosols  -->
+   <field id="CMIP6_aod550volso4"  field_ref="od550_STRAT"      /> <!-- P1 (1e-09) aerosol_optical_depth_due_to_stratospheric_volcanic_aerosols : aerosol optical depth at 550 nm due to stratospheric volcanic aerosols  -->
    <field id="CMIP6_areacella"     field_ref="aire"             /> <!-- P1 (m2) cell_area : For atmospheres with more than 1 mesh (e.g., staggered grids), report areas that apply to surface vertical fluxes of energy. -->
    <field id="CMIP6_ccb"           field_ref="pbase"            /> <!-- P1 (Pa) air_pressure_at_convective_cloud_base : Where convective cloud is present in the grid cell, the instantaneous cloud base altitude should be that of the bottom of the lowest level containing convective cloud. Missing data should be reported in the absence of convective cloud. The time mean should be calculated from these quantities averaging over occasions when convective cloud is present only, and should contain missing data for occasions when no convective cloud is present during the meaning period.  -->
@@ -88,5 +88,5 @@
    <field id="CMIP6_conccmcn"      field_ref="dummy_XYA"        /> <!-- P1 (m-3) number_concentration_of_coarse_mode_ambient_aerosol_in_air : includes all particles with diameter larger than 1 micron -->
    <field id="CMIP6_conccn"        field_ref="dummy_XYA"        /> <!-- P1 (m-3) number_concentration_of_ambient_aerosol_in_air : unset -->
-   <field id="CMIP6_concdust"      field_ref="dummy_XYA"        /> <!-- P1 (kg m-3) mass_concentration_of_dust_dry_aerosol_in_air : unset -->
+   <field id="CMIP6_concdust"      field_ref="concdust"         /> <!-- P1 (kg m-3) mass_concentration_of_dust_dry_aerosol_in_air : unset -->
    <field id="CMIP6_concnmcn"      field_ref="dummy_XYA"        /> <!-- P1 (m-3) number_concentration_of_nucleation_mode_ambient_aerosol_in_air : includes all particles with diameter smaller than 3 nm -->
    <field id="CMIP6_demc"          field_ref="dummy_XYA"        /> <!-- P2 (1.0) convective_cloud_longwave_emissivity : This is the in-cloud emissivity obtained by considering only the cloudy portion of the grid cell. -->
@@ -136,13 +136,13 @@
    <field id="CMIP6_lim"           field_ref="dummy_0d"         /> <!-- P2 (kg) land_ice_mass : The ice sheet mass is computed as the volume times density -->
    <field id="CMIP6_limnsw"        field_ref="dummy_0d"         /> <!-- P2 (kg) land_ice_mass_not_displacing_sea_water : The ice sheet mass is computed as the volume above flotation times density. Changes in land_ice_mass_not_displacing_sea_water will always result in a change in sea level, unlike changes in land_ice_mass which may not result in sea level change (such as melting of the floating ice shelves, or portion of ice that sits on bedrock below sea level) -->
-   <field id="CMIP6_loadbc"        field_ref="dummy_XY"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_black_carbon_dry_aerosol : unset -->
-   <field id="CMIP6_loaddust"      field_ref="dummy_XY"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_dust_dry_aerosol : unset -->
+   <field id="CMIP6_loadbc"        field_ref="loadbc"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_black_carbon_dry_aerosol : unset -->
+   <field id="CMIP6_loaddust"      field_ref="loaddust"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_dust_dry_aerosol : unset -->
    <field id="CMIP6_loadnh4"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_ammonium_dry_aerosol : unset -->
-   <field id="CMIP6_loadno3"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_nitrate_dry_aerosol : unset -->
-   <field id="CMIP6_loadoa"        field_ref="dummy_XY"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_particulate_organic_matter_dry_aerosol : atmosphere dry organic content: This is the vertically integrated sum of atmosphere_primary_organic_content and atmosphere_secondary_organic_content (see next two table entries). -->
-   <field id="CMIP6_loadpoa"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_primary_particulate_organic_matter_dry_aerosol : unset -->
-   <field id="CMIP6_loadso4"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_sulfate_dry_aerosol : unset -->
+   <field id="CMIP6_loadno3"       field_ref="loadno3"          /> <!-- P1 (kg m-2) atmosphere_mass_content_of_nitrate_dry_aerosol : unset -->
+   <field id="CMIP6_loadoa"        field_ref="loadoa"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_particulate_organic_matter_dry_aerosol : atmosphere dry organic content: This is the vertically integrated sum of atmosphere_primary_organic_content and atmosphere_secondary_organic_content (see next two table entries). -->
+   <field id="CMIP6_loadpoa"       field_ref="loadoa"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_primary_particulate_organic_matter_dry_aerosol : unset -->
+   <field id="CMIP6_loadso4"       field_ref="loadso4"          /> <!-- P1 (kg m-2) atmosphere_mass_content_of_sulfate_dry_aerosol : unset -->
    <field id="CMIP6_loadsoa"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_secondary_particulate_organic_matter_dry_aerosol : unset -->
-   <field id="CMIP6_loadss"        field_ref="dummy_XY"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_seasalt_dry_aerosol : unset -->
+   <field id="CMIP6_loadss"        field_ref="loadss"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_seasalt_dry_aerosol : unset -->
    <field id="CMIP6_longitude"     field_ref="dummy_XY"         /> <!-- P1 (degrees_east) longitude : Longitude -->
    <field id="CMIP6_lwsffluxaero"  field_ref="dummy_XY"         /> <!-- P2 (W m-2) longwave__flux__due_to_volcanic_aerosols_at_the_surface : downwelling longwave  flux  due to volcanic aerosols at the surface to be diagnosed through double radiation call -->
@@ -151,5 +151,5 @@
    <field id="CMIP6_lwtoaasdust"   field_ref="dummy_XY"         /> <!-- P1 (W m-2) toa_instantaneous_longwave_forcing : proposed name: toa_instantaneous_longwave_forcing_due_to_dust_ambient_aerosol -->
    <field id="CMIP6_lwtoacs"       field_ref="dummy_XY"         /> <!-- P1 (W m-2) tendency_of_clear_sky_top_of_atmosphere_longwave_flux_to_dust_ambient_aerosol_particles___2D_field_radiative_properties : Balkanski - LSCE -->
-   <field id="CMIP6_lwtoacsaer"    field_ref="dummy_XY"         /> <!-- P1 (W m-2) toa_instantaneous_longwave_forcing : proposed name: toa_instantaneous_longwave_forcing_due_to_ambient_aerosol_assuming_clear_sky -->
+   <field id="CMIP6_lwtoacsaer"    field_ref="toplwad0"         /> <!-- P1 (W m-2) toa_instantaneous_longwave_forcing : proposed name: toa_instantaneous_longwave_forcing_due_to_ambient_aerosol_assuming_clear_sky -->
    <field id="CMIP6_lwtoafluxaerocs" field_ref="dummy_XY"       /> <!-- P1 (W m-2) longwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling longwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
    <field id="CMIP6_mc"            field_ref="mc"               /> <!-- P3 (kg m-2 s-1) atmosphere_net_upward_convective_mass_flux : The net mass flux should represent the difference between the updraft and downdraft components.  The flux is computed as the mass divided by the area of the grid cell. -->
@@ -157,11 +157,11 @@
    <field id="CMIP6_mcu"           field_ref="dummy_XYA"        /> <!-- P1 (kg m-2 s-1) atmosphere_updraft_convective_mass_flux : In accordance with common usage in geophysical disciplines, "flux" implies per unit area, called "flux density" in physics. The atmosphere convective mass flux is the vertical transport of mass for a field of cumulus clouds or thermals, given by the product of air density and vertical velocity. For an area-average, cell_methods should specify whether the average is over all the area or the area of updrafts only. -->
    <field id="CMIP6_md"            field_ref="dummy_XYA"        /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_dust_dry_aerosol_particles_due_to_emission : Balkanski - LSCE -->
-   <field id="CMIP6_mmraerso4"     field_ref="dummy_XY"         /> <!-- P1 (kg kg-1) mass_fraction_of_sulfate_dry_aerosol_in_air : Aerosol Sulfate Mass Mixing Ratio -->
+   <field id="CMIP6_mmraerso4"     field_ref="concso4/(pres/RD/ta)"         /> <!-- P1 (kg kg-1) mass_fraction_of_sulfate_dry_aerosol_in_air : Aerosol Sulfate Mass Mixing Ratio -->
    <field id="CMIP6_mrroLi"        field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) land_ice_runoff_flux : Runoff flux over land ice is the difference between any available liquid water in the snowpack less any refreezing. Computed as the sum of rainfall and melt of snow or ice less any refreezing or water retained in the snowpack -->
    <field id="CMIP6_n2o"           field_ref="dummy_XYA"        /> <!-- P1 (mol mol-1) mole_fraction_of_nitrous_oxide_in_air : N2O volume mixing ratio -->
-   <field id="CMIP6_n2oglobal"     field_ref="dummy_0d"         /> <!-- P1 (1e-09) mole_fraction_of_nitrous_oxide_in_air : Global mean Nitrous Oxide (N2O) -->
-   <field id="CMIP6_o3"            field_ref="dummy_XYA"        /> <!-- P1 (mol mol-1) mole_fraction_of_ozone_in_air : Ozone volume mixing ratio -->
+   <field id="CMIP6_n2oglobal"     field_ref="N2O_ppb"          /> <!-- P1 (1e-09) mole_fraction_of_nitrous_oxide_in_air : Global mean Nitrous Oxide (N2O) -->
+   <field id="CMIP6_o3"            field_ref="tro3"             /> <!-- P1 (mol mol-1) mole_fraction_of_ozone_in_air : Ozone volume mixing ratio -->
    <field id="CMIP6_od443dust"     field_ref="dummy_XY"         /> <!-- P1 (1.0) atmosphere_optical_thickness_due_to_dust_ambient_aerosol_particles : Balkanski - LSCE -->
-   <field id="CMIP6_od550aerso"    field_ref="dummy_XY"         /> <!-- P1 (1.0) strat_aerosol_optical_depth : From tropopause to stratopause as defined by the model -->
+   <field id="CMIP6_od550aerso"    field_ref="od550_STRAT"      /> <!-- P1 (1.0) strat_aerosol_optical_depth : From tropopause to stratopause as defined by the model -->
    <field id="CMIP6_od550so4so"    field_ref="dummy_XY"         /> <!-- P1 (1.0) missing : Balkanski - LSCE -->
    <field id="CMIP6_od865dust"     field_ref="dummy_XY"         /> <!-- P1 (1.0) atmosphere_optical_thickness_due_to_dust_ambient_aerosol_particles : Balkanski - LSCE -->