Index: /LMDZ5/trunk/DefLists/context_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/context_lmdz.xml	(revision 2994)
+++ /LMDZ5/trunk/DefLists/context_lmdz.xml	(revision 2995)
@@ -4,5 +4,5 @@
   
   <!-- Define available variables -->
-  <field_definition src="./field_def_lmdz.xml"/> 
+  <field_definition src="./field_def_lmdz.xml"/>
   
   <!-- Define output files
Index: /LMDZ5/trunk/DefLists/field_def_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/field_def_lmdz.xml	(revision 2994)
+++ /LMDZ5/trunk/DefLists/field_def_lmdz.xml	(revision 2995)
@@ -1,3 +1,2 @@
-<context id="LMDZ">
 <field_definition level="1" prec="4" operation="average" freq_op="1ts" enabled=".true." default_value="9.96921e+36">
     
@@ -915,3 +914,2 @@
 
 </field_definition>
-</context>
Index: /LMDZ5/trunk/DefLists/file_def_histLES_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histLES_lmdz.xml	(revision 2994)
+++ /LMDZ5/trunk/DefLists/file_def_histLES_lmdz.xml	(revision 2995)
@@ -441,5 +441,5 @@
 
             <!-- VARS 3D -->
-            <field_group operation="average" freq_op="1ts" axis_ref="presnivs">
+            <field_group operation="average" freq_op="1ts" grid_ref="grid_glo_presnivs">
                 <field field_ref="cldtau" level="10" />
                 <field field_ref="cldemi" level="10" />
Index: /LMDZ5/trunk/DefLists/file_def_histday_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histday_lmdz.xml	(revision 2994)
+++ /LMDZ5/trunk/DefLists/file_def_histday_lmdz.xml	(revision 2995)
@@ -454,5 +454,5 @@
 
             <!-- VARS 3D -->
-            <field_group operation="average" freq_op="1ts" axis_ref="presnivs">
+            <field_group operation="average" freq_op="1ts" grid_ref="grid_glo_presnivs">
                 <field field_ref="cldtau" level="5" />
                 <field field_ref="cldemi" level="5" />
Index: /LMDZ5/trunk/DefLists/file_def_histhf_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histhf_lmdz.xml	(revision 2994)
+++ /LMDZ5/trunk/DefLists/file_def_histhf_lmdz.xml	(revision 2995)
@@ -475,5 +475,5 @@
 
             <!-- VARS 3D -->
-            <field_group operation="average" freq_op="1ts" axis_ref="presnivs">
+            <field_group operation="average" freq_op="1ts" grid_ref="grid_glo_presnivs">
                 <field field_ref="cldtau" level="10" />
                 <field field_ref="cldemi" level="10" />
Index: /LMDZ5/trunk/DefLists/file_def_histins_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histins_lmdz.xml	(revision 2994)
+++ /LMDZ5/trunk/DefLists/file_def_histins_lmdz.xml	(revision 2995)
@@ -441,5 +441,5 @@
 
             <!-- VARS 3D -->
-            <field_group operation="instant" freq_op="1ts" axis_ref="presnivs">
+            <field_group operation="instant" freq_op="1ts" grid_ref="grid_glo_presnivs">
                 <field field_ref="cldtau" level="10" />
                 <field field_ref="cldemi" level="10" />
Index: /LMDZ5/trunk/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 2994)
+++ /LMDZ5/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 2995)
@@ -487,5 +487,5 @@
 
             <!-- VARS 3D -->
-            <field_group operation="average" freq_op="1ts" axis_ref="presnivs">
+            <field_group operation="average" freq_op="1ts" grid_ref="grid_glo_presnivs">
                 <field field_ref="cldtau" level="10" />
                 <field field_ref="cldemi" level="10" />
Index: /LMDZ5/trunk/DefLists/file_def_histstn_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histstn_lmdz.xml	(revision 2994)
+++ /LMDZ5/trunk/DefLists/file_def_histstn_lmdz.xml	(revision 2995)
@@ -441,5 +441,5 @@
 
             <!-- VARS 3D -->
-            <field_group operation="average" freq_op="1ts" axis_ref="presnivs">
+            <field_group operation="average" freq_op="1ts" grid_ref="grid_glo_presnivs">
                 <field field_ref="cldtau" level="10" />
                 <field field_ref="cldemi" level="10" />