Index: LMDZ5/trunk/DefLists/CMIP6_ping_atmos.xml
===================================================================
--- LMDZ5/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 2996)
+++ LMDZ5/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 2998)
@@ -49,5 +49,5 @@
    <field id="CMIP6_cl"            field_ref="rneb"             /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover, including both large-scale and convective cloud. -->
    <field id="CMIP6_clc"           field_ref="rnebcon"          /> <!-- P1 (%) convective_cloud_area_fraction_in_atmosphere_layer : Include only convective cloud. -->
-   <field id="CMIP6_clcalipso"     field_ref="clcalipso"        /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover at CALIPSO standard heights. -->
+   <field id="CMIP6_clcalipso"     field_ref="pclcalipso"        /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover at CALIPSO standard heights. -->
    <field id="CMIP6_clcalipso2"    field_ref="clcalipso2"       /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Clouds detected by CALIPSO but below the detectability threshold of CloudSat -->
    <field id="CMIP6_clcalipsoice"  field_ref="clcalipsoice"     /> <!-- P1 (%) ice_cloud_area_fraction_in_atmosphere_layer : CALIPSO ice cloud Fraction -->
@@ -58,5 +58,5 @@
    <field id="CMIP6_cldnvi"        field_ref="dummy_XY"         /> <!-- P1 (m-2) atmosphere_number_content_of_cloud_droplets : Droplets are liquid only.  Values are weighted by liquid cloud fraction in each layer when vertically integrating, and for monthly means the samples are weighted by total liquid cloud fraction (as seen from TOA). -->
    <field id="CMIP6_cldwatmxrat"   field_ref="dummy_XYA"        /> <!-- P2 (1.0) cloud_liquid_water_mixing_ratio : Cloud water mixing ratio -->
-   <field id="CMIP6_clhcalipso"    field_ref="clhcalipso"       /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover in layer centred on 220hPa -->
+   <field id="CMIP6_clhcalipso"    field_ref="pclhcalipso"       /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover in layer centred on 220hPa -->
    <field id="CMIP6_cli"           field_ref="iwcon"            /> <!-- P1 (kg kg-1) mass_fraction_of_cloud_ice_in_air : Includes both large-scale and convective cloud. This is calculated as the mass of cloud ice in the grid cell divided by the mass of air (including the water in all phases) in the grid cell. It includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
    <field id="CMIP6_clic"          field_ref="dummy_XYA"        /> <!-- P2 (1.0) mass_fraction_of_convective_cloud_ice_in_air : Calculated as the mass of convective cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
@@ -66,10 +66,10 @@
    <field id="CMIP6_clivi"         field_ref="iwp"              /> <!-- P1 (kg m-2) atmosphere_cloud_ice_content : mass of ice water in the column divided by the area of the column (not just the area of the cloudy portion of the column). Includes precipitating frozen hydrometeors ONLY if the precipitating hydrometeor affects the calculation of radiative transfer in model. -->
    <field id="CMIP6_clivic"        field_ref="dummy_XY"         /> <!-- P1 (kg m-2) atmosphere_convective_cloud_ice_content : calculate mass of convective ice water in the column divided by the area of the column (not just the area of the cloudy portion of the column). This includes precipitating frozen hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model.   -->
-   <field id="CMIP6_cllcalipso"    field_ref="cllcalipso"       /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover in layer centred on 840hPa -->
-   <field id="CMIP6_clmcalipso"    field_ref="clmcalipso"       /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover in layer centred on 560hPa -->
+   <field id="CMIP6_cllcalipso"    field_ref="pcllcalipso"       /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover in layer centred on 840hPa -->
+   <field id="CMIP6_clmcalipso"    field_ref="pclmcalipso"       /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover in layer centred on 560hPa -->
    <field id="CMIP6_clmisr"        field_ref="clMISR"           /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Cloud percentage in spectral bands and layers as observed by the Multi-angle Imaging SpectroRadiometer (MISR) instrument. -->
    <field id="CMIP6_cls"           field_ref="dummy_XYA"        /> <!-- P1 (%) stratiform_cloud_area_fraction_in_atmosphere_layer : unset -->
    <field id="CMIP6_clt"           field_ref="cldt"             /> <!-- P1 (%) cloud_area_fraction : Total cloud area fraction for the whole atmospheric column, as seen from the surface or the top of the atmosphere. Includes both large-scale and convective cloud. -->
-   <field id="CMIP6_cltcalipso"    field_ref="cltcalipso"       /> <!-- P1 (%) cloud_area_fraction : unset -->
+   <field id="CMIP6_cltcalipso"    field_ref="pcltcalipso"       /> <!-- P1 (%) cloud_area_fraction : unset -->
    <field id="CMIP6_cltisccp"      field_ref="tclisccp"         /> <!-- P1 (%) cloud_area_fraction : Percentage total cloud cover, simulating ISCCP observations. -->
    <field id="CMIP6_cltmodis"      field_ref="cltmodis"         /> <!-- P1 (%) cloud_area_fraction : MODIS Total Cloud Cover Percentage -->
Index: LMDZ5/trunk/DefLists/field_def_lmdz.xml
===================================================================
--- LMDZ5/trunk/DefLists/field_def_lmdz.xml	(revision 2996)
+++ LMDZ5/trunk/DefLists/field_def_lmdz.xml	(revision 2998)
@@ -782,4 +782,9 @@
       <field id="cltcalipso"    long_name="Lidar Total Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="clcalipso"  long_name="Lidar Cloud Fraction (532 nm)" unit="1" axis_ref="height"  detect_missing_value=".true." />
+      <field id="pcllcalipso"  field_ref="cllcalipso"  long_name="Lidar Low-level Cloud Fraction"   unit="%"> cllcalipso*100 </field>
+      <field id="pclhcalipso"  field_ref="clhcalipso"  long_name="Lidar Hight-level Cloud Fraction"   unit="%"> clhcalipso*100 </field>
+      <field id="pclmcalipso"  field_ref="clmcalipso"  long_name="Lidar Mid-level Cloud Fraction"   unit="%"> clmcalipso*100 </field>
+      <field id="pcltcalipso" field_ref="cltcalipso"   long_name="Lidar Total Cloud Fraction"   unit="%"> cltcalipso*100 </field>
+      <field id="pclcalipso" field_ref="clcalipso" long_name="Lidar Cloud Fraction (532 nm)" unit="%" axis_ref="height"> clcalipso*100 </field>
       <field id="parasol_refl"  long_name="PARASOL-like mono-directional reflectance" unit="1" axis_ref="sza"  detect_missing_value=".true." />
       <field id="parasol_crefl"  long_name="PARASOL-like mono-directional reflectance (integral)" unit="1" axis_ref="sza"  detect_missing_value=".true." />