Index: /LMDZ6/branches/IPSLCM6.0.13/DefLists/CMIP6_ping_atmos.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.13/DefLists/CMIP6_ping_atmos.xml	(revision 3053)
+++ /LMDZ6/branches/IPSLCM6.0.13/DefLists/CMIP6_ping_atmos.xml	(revision 3054)
@@ -1,4 +1,4 @@
 <!-- $Id$ -->
-<!-- Ping files generated by dr2xml 0.18 using Data Request 01.00.15 -->
+<!-- Ping files generated by dr2xml 0.18 using Data Request 01.00.16 -->
 <!-- lrealms= ['atmos'] -->
 <!-- exact= False -->
@@ -19,18 +19,18 @@
 <field_definition>
 <!-- for variables which realm equals one of _atmos-->
-   <field id="CMIP6_H2p"           field_ref="dummy_XY"         /> <!-- P1 () missing : Roche - LSCE -->
-   <field id="CMIP6_H2s"           field_ref="dummy_XY"         /> <!-- P1 () missing : Roche - LSCE -->
-   <field id="CMIP6_H2wv"          field_ref="dummy_XYA"        /> <!-- P1 () missing : Roche - LSCE -->
-   <field id="CMIP6_O17p"          field_ref="dummy_XY"         /> <!-- P1 () missing : Roche - LSCE -->
-   <field id="CMIP6_O17s"          field_ref="dummy_XY"         /> <!-- P1 () missing : Roche - LSCE -->
-   <field id="CMIP6_O17wv"         field_ref="dummy_XYA"        /> <!-- P1 () missing : Roche - LSCE -->
-   <field id="CMIP6_O18p"          field_ref="dummy_XY"         /> <!-- P1 () missing : Roche - LSCE -->
-   <field id="CMIP6_O18s"          field_ref="dummy_XY"         /> <!-- P1 () missing : Roche - LSCE -->
-   <field id="CMIP6_O18wv"         field_ref="dummy_XYA"        /> <!-- P1 () missing : Roche - LSCE -->
-   <field id="CMIP6_aerasymbnd"    field_ref="dummy_XYA"        /> <!-- P1 (1) band_aerosol_asymmetry_parameter : Aerosol level asymmetry parameter for each band -->
-   <field id="CMIP6_aeroptbnd"     field_ref="dummy_XYA"        /> <!-- P1 (1) atmosphere_absorption_optical_thickness_due_to_ambient_aerosol_particles : Aerosol level extinction optical depth for each band -->
-   <field id="CMIP6_aerssabnd"     field_ref="dummy_XYA"        /> <!-- P1 (1) single_scattering_albedo_in_air_due_to_ambient_aerosol_particles : Aerosol level single-scattering albedo for each band -->
-   <field id="CMIP6_albdiffbnd"    field_ref="dummy_XY"         /> <!-- P1 (1.0) band_diffuse_albedo : Diffuse surface albedo for each band -->
-   <field id="CMIP6_albdirbnd"     field_ref="dummy_XY"         /> <!-- P1 (1.0) band_direct_albedo : Direct surface albedo for each band -->
+   <field id="CMIP6_H2p"           field_ref="dummy_not_provided"         /> <!-- P1 () missing : Roche - LSCE -->
+   <field id="CMIP6_H2s"           field_ref="dummy_not_provided"         /> <!-- P1 () missing : Roche - LSCE -->
+   <field id="CMIP6_H2wv"          field_ref="dummy_not_provided"        /> <!-- P1 () missing : Roche - LSCE -->
+   <field id="CMIP6_O17p"          field_ref="dummy_not_provided"         /> <!-- P1 () missing : Roche - LSCE -->
+   <field id="CMIP6_O17s"          field_ref="dummy_not_provided"         /> <!-- P1 () missing : Roche - LSCE -->
+   <field id="CMIP6_O17wv"         field_ref="dummy_not_provided"        /> <!-- P1 () missing : Roche - LSCE -->
+   <field id="CMIP6_O18p"          field_ref="dummy_not_provided"         /> <!-- P1 () missing : Roche - LSCE -->
+   <field id="CMIP6_O18s"          field_ref="dummy_not_provided"         /> <!-- P1 () missing : Roche - LSCE -->
+   <field id="CMIP6_O18wv"         field_ref="dummy_not_provided"        /> <!-- P1 () missing : Roche - LSCE -->
+   <field id="CMIP6_aerasymbnd"    field_ref="dummy_not_provided"        /> <!-- P1 (1) band_aerosol_asymmetry_parameter : Aerosol level asymmetry parameter for each band -->
+   <field id="CMIP6_aeroptbnd"     field_ref="dummy_not_provided"        /> <!-- P1 (1) atmosphere_absorption_optical_thickness_due_to_ambient_aerosol_particles : Aerosol level absorption optical thickness for each band -->
+   <field id="CMIP6_aerssabnd"     field_ref="dummy_not_provided"        /> <!-- P1 (1) single_scattering_albedo_in_air_due_to_ambient_aerosol_particles : Aerosol level single-scattering albedo for each band -->
+   <field id="CMIP6_albdiffbnd"    field_ref="dummy_not_provided"         /> <!-- P1 (1.0) band_diffuse_albedo : Diffuse surface albedo for each band -->
+   <field id="CMIP6_albdirbnd"     field_ref="dummy_not_provided"         /> <!-- P1 (1.0) band_direct_albedo : Direct surface albedo for each band -->
    <field id="CMIP6_albisccp"      field_ref="albisccp"         /> <!-- P1 (1.0) cloud_albedo : ISCCP Mean Cloud Albedo. Time-means are weighted by the ISCCP Total Cloud Fraction {:cltisccp} - see  http://cfmip.metoffice.com/COSP.html -->
    <field id="CMIP6_aod550volso4"  field_ref="od550_STRAT"      /> <!-- P1 (1e-09) aerosol_optical_depth_due_to_stratospheric_volcanic_aerosols : aerosol optical depth at 550 nm due to stratospheric volcanic aerosols  -->
@@ -41,8 +41,8 @@
    <field id="CMIP6_cfadDbze94"    field_ref="cfadDbze94"       /> <!-- P1 (1.0) histogram_of_equivalent_reflectivity_factor_over_height_above_reference_ellipsoid : CFAD (Cloud Frequency Altitude Diagrams) are frequency distributions of radar  reflectivity (or lidar scattering ratio) as a function of altitude. The variable cfadDbze94 is defined as the simulated relative frequency of occurrence of radar reflectivity in sampling volumes defined by altitude bins. The radar is observing at a frequency of 94GHz. -->
    <field id="CMIP6_cfadLidarsr532" field_ref="cfad_lidarsr532" /> <!-- P1 (1.0) histogram_of_backscattering_ratio_over_height_above_reference_ellipsoid : CFAD (Cloud Frequency Altitude Diagrams) are frequency distributions of radar  reflectivity (or lidar scattering ratio) as a function of altitude. The variable cfadLidarsr532 is defined as the simulated relative frequency of lidar scattering ratio in sampling volumes defined by altitude bins. The lidar is observing at a wavelength of 532nm. -->
-   <field id="CMIP6_cfc113global"  field_ref="dummy_0d"         /> <!-- P1 (1e-12) mole_fraction_of_cfc113_in_air : unset -->
+   <field id="CMIP6_cfc113global"  field_ref="dummy_not_provided"         /> <!-- P1 (1e-12) mole_fraction_of_cfc113_in_air : unset -->
    <field id="CMIP6_cfc11global"   field_ref="CFC11_ppt"        /> <!-- P1 (1e-12) mole_fraction_of_cfc11_in_air : unset -->
    <field id="CMIP6_cfc12global"   field_ref="CFC12_ppt"        /> <!-- P1 (1e-12) mole_fraction_of_cfc12_in_air : unset -->
-   <field id="CMIP6_ch4"           field_ref="dummy_XYA"        /> <!-- P1 (mol mol-1) mole_fraction_of_methane_in_air : CH4 volume mixing ratio -->
+   <field id="CMIP6_ch4"           field_ref="dummy_not_provided"        /> <!-- P1 (mol mol-1) mole_fraction_of_methane_in_air : CH4 volume mixing ratio -->
    <field id="CMIP6_ch4global"     field_ref="CH4_ppb"          /> <!-- P1 (1e-09) mole_fraction_of_methane_in_air : Global Mean Mole Fraction of CH4 -->
    <field id="CMIP6_ci"            field_ref="ftime_con"        /> <!-- P1 (1.0) convection_time_fraction : Fraction of time that convection occurs in the grid cell. -->
@@ -86,11 +86,11 @@
    <field id="CMIP6_co2totalmass"  field_ref="dummy_0d"         /> <!-- P1 (kg) CO2_total_mass_in_atmos : globally integrated mass of carbon as CO2 in atmosphere. Report as a single number for all emissions-driven runs -->
    <field id="CMIP6_columnmassflux" field_ref="dummy_XY"         /> <!-- P2 (kg m-2 s-1) atmosphere_net_upward_convective_mass_flux : Column integral of (mcu-mcd) -->
-   <field id="CMIP6_conccmcn"      field_ref="dummy_XYA"        /> <!-- P1 (m-3) number_concentration_of_coarse_mode_ambient_aerosol_in_air : includes all particles with diameter larger than 1 micron -->
-   <field id="CMIP6_conccn"        field_ref="dummy_XYA"        /> <!-- P1 (m-3) number_concentration_of_ambient_aerosol_in_air : unset -->
+   <field id="CMIP6_conccmcn"      field_ref="dummy_not_provided"        /> <!-- P1 (m-3) number_concentration_of_coarse_mode_ambient_aerosol_in_air : includes all particles with diameter larger than 1 micron -->
+   <field id="CMIP6_conccn"        field_ref="dummy_not_provided"        /> <!-- P1 (m-3) number_concentration_of_ambient_aerosol_in_air : unset -->
    <field id="CMIP6_concdust"      field_ref="concdust"         /> <!-- P1 (kg m-3) mass_concentration_of_dust_dry_aerosol_in_air : unset -->
-   <field id="CMIP6_concnmcn"      field_ref="dummy_XYA"        /> <!-- P1 (m-3) number_concentration_of_nucleation_mode_ambient_aerosol_in_air : includes all particles with diameter smaller than 3 nm -->
+   <field id="CMIP6_concnmcn"      field_ref="dummy_not_provided"        /> <!-- P1 (m-3) number_concentration_of_nucleation_mode_ambient_aerosol_in_air : includes all particles with diameter smaller than 3 nm -->
    <field id="CMIP6_demc"          field_ref="dummy_XYA"        /> <!-- P2 (1.0) convective_cloud_longwave_emissivity : This is the in-cloud emissivity obtained by considering only the cloudy portion of the grid cell. -->
    <field id="CMIP6_dems"          field_ref="dummy_XYA"        /> <!-- P2 (1.0) stratiform_cloud_longwave_emissivity : This is the in-cloud emissivity obtained by considering only the cloudy portion of the grid cell. -->
-   <field id="CMIP6_depdust"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_dust_dry_aerosol_particles_due_to_total_deposition : Balkanski - LSCE -->
+   <field id="CMIP6_depdust"       field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_dust_dry_aerosol_particles_due_to_total_deposition : Balkanski - LSCE -->
    <field id="CMIP6_diabdrag"      field_ref="dummy_XYA"        /> <!-- P1 (m s-2) tendency_of_eastward_wind_due_to_numerical_artefacts : Other sub-grid scale/numerical zonal drag excluding that already provided for the parameterized orographic and non-orographic gravity waves. This would be used to calculate the total 'diabatic drag'. Contributions to this additional drag such Rayleigh friction and diffusion that can be calculated from the monthly mean wind fields should not be included, but details (e.g. coefficients) of the friction and/or diffusion used in the model should be provided separately. -->
    <field id="CMIP6_dmc"           field_ref="upwd"             /> <!-- P2 (kg m-2 s-1) atmosphere_net_upward_deep_convective_mass_flux : The net mass flux  represents the difference between the updraft and downdraft components.   This is calculated as the convective mass flux divided by the area of the whole grid cell (not just the area of the cloud). -->
@@ -102,11 +102,11 @@
    <field id="CMIP6_evspsbl"       field_ref="evap"             /> <!-- P1 (kg m-2 s-1) water_evaporation_flux : Evaporation at surface: flux of water into the atmosphere due to conversion of both liquid and solid phases to vapor (from underlying surface and vegetation) -->
    <field id="CMIP6_evu"           field_ref="evu"              /> <!-- P1 (m2 s-1) atmosphere_momentum_diffusivity : Vertical diffusion coefficient for momentum due to parametrised eddies -->
-   <field id="CMIP6_fco2antt"      field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_carbon_dioxide_expressed_as_carbon_due_to_anthropogenic_emission : This is requested only for the emission-driven coupled carbon climate model runs.  Does not include natural fire sources but, includes all anthropogenic sources, including fossil fuel use, cement production, agricultural burning, and sources associated with anthropogenic land use change excluding forest regrowth. -->
-   <field id="CMIP6_fco2fos"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_carbon_dioxide_expressed_as_carbon_due_to_emission_from_fossil_fuel_combustion : This is the prescribed anthropogenic CO2 flux from fossil fuel use, including cement production, and flaring (but not from land-use changes, agricultural burning, forest regrowth, etc.) -->
-   <field id="CMIP6_fco2nat"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) surface_upward_mass_flux_of_carbon_dioxide_expressed_as_carbon_due_to_emission_from_natural_sources : This is what the atmosphere sees (on its own grid).  This field should be equivalent to the combined natural fluxes of carbon  that account for natural exchanges between the atmosphere and land (nep) or ocean (fgco2) reservoirs. -->
+   <field id="CMIP6_fco2antt"      field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_carbon_dioxide_expressed_as_carbon_due_to_anthropogenic_emission : This is requested only for the emission-driven coupled carbon climate model runs.  Does not include natural fire sources but, includes all anthropogenic sources, including fossil fuel use, cement production, agricultural burning, and sources associated with anthropogenic land use change excluding forest regrowth. -->
+   <field id="CMIP6_fco2fos"       field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_carbon_dioxide_expressed_as_carbon_due_to_emission_from_fossil_fuel_combustion : This is the prescribed anthropogenic CO2 flux from fossil fuel use, including cement production, and flaring (but not from land-use changes, agricultural burning, forest regrowth, etc.) -->
+   <field id="CMIP6_fco2nat"       field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) surface_upward_mass_flux_of_carbon_dioxide_expressed_as_carbon_due_to_emission_from_natural_sources : This is what the atmosphere sees (on its own grid).  This field should be equivalent to the combined natural fluxes of carbon  that account for natural exchanges between the atmosphere and land (nep) or ocean (fgco2) reservoirs. -->
    <field id="CMIP6_grpllsprof"    field_ref="dummy_XYA"        /> <!-- P2 (kg m-2 s-1) large_scale_graupel_flux : unset -->
-   <field id="CMIP6_grplmxrat"     field_ref="dummy_XYA"        /> <!-- P2 (1.0) mass_fraction_of_graupel_in_air : Graupel mixing ratio -->
+   <field id="CMIP6_grplmxrat"     field_ref="dummy_XYA"        /> <!-- P3 (1.0) mass_fraction_of_graupel_in_air : Graupel mixing ratio -->
    <field id="CMIP6_h2o"           field_ref="dummy_XYA"        /> <!-- P2 (1.0) mass_fraction_of_water_in_air : includes all phases of water -->
-   <field id="CMIP6_hcfc22global"  field_ref="dummy_0d"         /> <!-- P1 (1e-12) mole_fraction_of_hcfc22_in_air : unset -->
+   <field id="CMIP6_hcfc22global"  field_ref="dummy_not_provided"         /> <!-- P1 (1e-12) mole_fraction_of_hcfc22_in_air : unset -->
    <field id="CMIP6_hfdsl"         field_ref="bils"> bils*fract_ter </field> <!-- P1 (W m-2) surface_downward_heat_flux_in_air : Downward Heat Flux at Land Surface -->
    <field id="CMIP6_hfdsnb"        field_ref="dummy_XY"         /> <!-- P1 (W m-2) missing : Heat flux from snow into the ice or land under the snow. -->
@@ -129,6 +129,6 @@
    <field id="CMIP6_intvadse"      field_ref="dummy_XY"         /> <!-- P1 (1.e6 J m-1 s-1) vertical_integral_northward_wind_by_dry_static_energy : Used in PMIP2 -->
    <field id="CMIP6_intvaw"        field_ref="dummy_XY"         /> <!-- P1 (kg m-1 s-1) vertical_integral_northward_wind_by_total_water : Used in PMIP2 -->
-   <field id="CMIP6_jo2"           field_ref="dummy_XYA"        /> <!-- P1 (s-1) photolysis_rate_of_molecular_oxygen : Rate of photolysis of molecular oxygen to atomic oxygen (o2 -> o1d+o) -->
-   <field id="CMIP6_jo3"           field_ref="dummy_XYA"        /> <!-- P1 (s-1) photolysis_rate_of_ozone : sum of rates o3 -> o1d+o2 and o3 -> o+o2 -->
+   <field id="CMIP6_jo2"           field_ref="dummy_not_provided"        /> <!-- P1 (s-1) photolysis_rate_of_molecular_oxygen : Rate of photolysis of molecular oxygen to atomic oxygen (o2 -> o1d+o) -->
+   <field id="CMIP6_jo3"           field_ref="dummy_not_provided"        /> <!-- P1 (s-1) photolysis_rate_of_ozone : sum of rates o3 -> o1d+o2 and o3 -> o+o2 -->
    <field id="CMIP6_jpdftaureicemodis" field_ref="crimodis"     /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : MODIS Optical Thickness-Particle Size joint  distribution, ice -->
    <field id="CMIP6_jpdftaureliqmodis" field_ref="crlmodis"     /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : MODIS Optical Thickness-Particle Size joint  distribution, liquid -->
@@ -138,10 +138,10 @@
    <field id="CMIP6_loadbc"        field_ref="loadbc"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_black_carbon_dry_aerosol : unset -->
    <field id="CMIP6_loaddust"      field_ref="loaddust"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_dust_dry_aerosol : unset -->
-   <field id="CMIP6_loadnh4"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_ammonium_dry_aerosol : unset -->
+   <field id="CMIP6_loadnh4"       field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_ammonium_dry_aerosol : unset -->
    <field id="CMIP6_loadno3"       field_ref="loadno3"          /> <!-- P1 (kg m-2) atmosphere_mass_content_of_nitrate_dry_aerosol : unset -->
    <field id="CMIP6_loadoa"        field_ref="loadoa"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_particulate_organic_matter_dry_aerosol : atmosphere dry organic content: This is the vertically integrated sum of atmosphere_primary_organic_content and atmosphere_secondary_organic_content (see next two table entries). -->
    <field id="CMIP6_loadpoa"       field_ref="loadoa"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_primary_particulate_organic_matter_dry_aerosol : unset -->
    <field id="CMIP6_loadso4"       field_ref="loadso4"          /> <!-- P1 (kg m-2) atmosphere_mass_content_of_sulfate_dry_aerosol : unset -->
-   <field id="CMIP6_loadsoa"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_secondary_particulate_organic_matter_dry_aerosol : unset -->
+   <field id="CMIP6_loadsoa"       field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_secondary_particulate_organic_matter_dry_aerosol : unset -->
    <field id="CMIP6_loadss"        field_ref="loadss"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_seasalt_dry_aerosol : unset -->
    <field id="CMIP6_longitude"     field_ref="lon"              /> <!-- P1 (degrees_east) longitude : Longitude -->
@@ -156,15 +156,13 @@
    <field id="CMIP6_mcd"           field_ref="dummy_XYA"        /> <!-- P2 (kg m-2 s-1) atmosphere_downdraft_convective_mass_flux : Calculated as the convective mass flux divided by the area of the whole grid cell (not just the area of the cloud). -->
    <field id="CMIP6_mcu"           field_ref="dummy_XYA"        /> <!-- P1 (kg m-2 s-1) atmosphere_updraft_convective_mass_flux : In accordance with common usage in geophysical disciplines, "flux" implies per unit area, called "flux density" in physics. The atmosphere convective mass flux is the vertical transport of mass for a field of cumulus clouds or thermals, given by the product of air density and vertical velocity. For an area-average, cell_methods should specify whether the average is over all the area or the area of updrafts only. -->
-   <field id="CMIP6_md"            field_ref="dummy_XYA"        /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_dust_dry_aerosol_particles_due_to_emission : Balkanski - LSCE -->
-   <field id="CMIP6_mmraerso4"     field_ref="concso4"> concso4/(pres/287.04/ta) </field><!-- P1 (kg kg-1) mass_fraction_of_sulfate_dry_aerosol_in_air : Aerosol Sulfate Mass Mixing Ratio -->
+   <field id="CMIP6_md"            field_ref="dummy_not_provided"        /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_dust_dry_aerosol_particles_due_to_emission : Balkanski - LSCE -->
    <field id="CMIP6_mrroLi"        field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) land_ice_runoff_flux : Runoff flux over land ice is the difference between any available liquid water in the snowpack less any refreezing. Computed as the sum of rainfall and melt of snow or ice less any refreezing or water retained in the snowpack -->
-   <field id="CMIP6_n2o"           field_ref="dummy_XYA"        /> <!-- P1 (mol mol-1) mole_fraction_of_nitrous_oxide_in_air : N2O volume mixing ratio -->
+   <field id="CMIP6_n2o"           field_ref="dummy_not_provided"        /> <!-- P1 (mol mol-1) mole_fraction_of_nitrous_oxide_in_air : N2O volume mixing ratio -->
    <field id="CMIP6_n2oglobal"     field_ref="N2O_ppb"          /> <!-- P1 (1e-09) mole_fraction_of_nitrous_oxide_in_air : Global mean Nitrous Oxide (N2O) -->
    <field id="CMIP6_o3"            field_ref="tro3"             /> <!-- P1 (mol mol-1) mole_fraction_of_ozone_in_air : Ozone volume mixing ratio -->
    <field id="CMIP6_od443dust"     field_ref="dummy_XY"         /> <!-- P1 (1.0) atmosphere_optical_thickness_due_to_dust_ambient_aerosol_particles : Balkanski - LSCE -->
    <field id="CMIP6_od550aerso"    field_ref="od550_STRAT"      /> <!-- P1 (1.0) strat_aerosol_optical_depth : From tropopause to stratopause as defined by the model -->
-   <field id="CMIP6_od550so4so"    field_ref="dummy_XY"         /> <!-- P1 (1.0) missing : Balkanski - LSCE -->
+   <field id="CMIP6_od550so4so"    field_ref="dummy_not_provided"         /> <!-- P1 (1.0) missing : Balkanski - LSCE -->
    <field id="CMIP6_od865dust"     field_ref="dummy_XY"         /> <!-- P1 (1.0) atmosphere_optical_thickness_due_to_dust_ambient_aerosol_particles : Balkanski - LSCE -->
-   <field id="CMIP6_orog"          field_ref="dummy_XY"         /> <!-- P1 (m) surface_altitude : The surface called "surface" means the lower boundary of the atmosphere. Altitude is the (geometric) height above the geoid, which is the reference geopotential surface. The geoid is similar to mean sea level. -->
    <field id="CMIP6_parasolRefl_sea" field_ref="dummy_XY"         /> <!-- P1 (1.0) toa_bidirectional_reflectance : Simulated reflectance from PARASOL as seen at the top of the atmosphere for 5 solar zenith angles. Valid only over ocean and for one viewing direction (viewing zenith angle of 30 degrees and relative azimuth angle 320 degrees). -->
    <field id="CMIP6_pctisccp"      field_ref="ctpisccp"         /> <!-- P1 (Pa) air_pressure_at_cloud_top : ISCCP Mean Cloud Top Pressure. Time-means are weighted by the ISCCP Total Cloud Fraction {:cltisccp} - see  http://cfmip.metoffice.com/COSP.html -->
@@ -187,5 +185,5 @@
    <field id="CMIP6_prw"           field_ref="prw"              /> <!-- P1 (kg m-2) atmosphere_water_vapor_content : vertically integrated through the atmospheric column -->
    <field id="CMIP6_ps"            field_ref="psol"             /> <!-- P1 (Pa) surface_air_pressure : surface pressure (not mean sea-level pressure), 2-D field to calculate the 3-D pressure field from hybrid coordinates -->
-   <field id="CMIP6_psitem"        field_ref="dummy_lat-P"      /> <!-- P1 (kg s^-1)  meridional_streamfunction_transformed_eulerian_mean : Residual mass streamfunction, computed from vstar and integrated from the top of the atmosphere (on the native model grid). Reference: Andrews et al (1987): Middle Atmospheric Dynamics. Accademic Press. -->
+   <field id="CMIP6_psitem"        field_ref="dummy_XYA"      /> <!-- P1 (kg s^-1)  meridional_streamfunction_transformed_eulerian_mean : Residual mass streamfunction, computed from vstar and integrated from the top of the atmosphere (on the native model grid). Reference: Andrews et al (1987): Middle Atmospheric Dynamics. Academic Press. -->
    <field id="CMIP6_psl"           field_ref="slp"              /> <!-- P1 (Pa) air_pressure_at_sea_level : Sea Level Pressure -->
    <field id="CMIP6_rainmxrat"     field_ref="dummy_XYA"        /> <!-- P2 (1.0) mass_fraction_of_rain_in_air : Rain mixing ratio -->
@@ -215,5 +213,5 @@
    <field id="CMIP6_rlut"          field_ref="topl"             /> <!-- P1 (W m-2) toa_outgoing_longwave_flux : at the top of the atmosphere (to be compared with satellite measurements) -->
    <field id="CMIP6_rlut4co2"      field_ref="rlut4co2"         /> <!-- P1 (W m-2) toa_outgoing_longwave_flux : Top-of-atmosphere outgoing longwave radiation calculated using carbon dioxide concentrations increased fourfold -->
-   <field id="CMIP6_rlutcs"        field_ref="topl0"            /> <!-- P1 (W m-2) toa_outgoing_longwave_flux_assuming_clear_sky : TOA Outgoing Clear-sky Longwave Radiation -->
+   <field id="CMIP6_rlutcs"        field_ref="topl0"            /> <!-- P1 (W m-2) toa_outgoing_longwave_flux_assuming_clear_sky : Upwelling clear-sky longwave radiation at top of atmosphere -->
    <field id="CMIP6_rlutcs4co2"    field_ref="rlutcs4co2"       /> <!-- P1 (W m-2) toa_outgoing_longwave_flux_assuming_clear_sky : Top-of-atmosphere outgoing clear-sky longwave radiation calculated using carbon dioxide concentrations increased fourfold -->
    <field id="CMIP6_rsd"           field_ref="rsd"              /> <!-- P1 (W m-2) downwelling_shortwave_flux_in_air : Downwelling shortwave radiation (includes the fluxes at the surface and top-of-atmosphere) -->
@@ -253,4 +251,5 @@
    <field id="CMIP6_rtmt"          field_ref="nettop"           /> <!-- P1 (W m-2) net_downward_radiative_flux_at_top_of_atmosphere_model : Net Downward Radiative Flux at Top of Model : I.e., at the top of that portion of the atmosphere where dynamics are explicitly treated by the model. This is reported only if it differs from the net downward radiative flux at the top of the atmosphere. -->
    <field id="CMIP6_rv"            field_ref="dummy_XY"         /> <!-- P1 (s-1) atmosphere_relative_vorticity : Relative Vorticity at 850 hPa -->
+   <field id="CMIP6_sblnosn"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) sublimation_amount_assuming_no_snow : Sublimation of the snow free area -->
    <field id="CMIP6_sci"           field_ref="ftime_th"         /> <!-- P1 (1.0) shallow_convection_time_fraction : Fraction of time that shallow convection occurs in the grid cell. -->
    <field id="CMIP6_scldncl"       field_ref="dummy_XY"         /> <!-- P1 (m-3) number_concentration_of_stratiform_cloud_liquid_water_particles_in_air_at_liquid_water_cloud_top : Droplets are liquid only.  Report concentration "as seen from space" over stratiform liquid cloudy portion of grid cell.  This is the value from uppermost model layer with liquid cloud or, if available, it is better to sum over all liquid cloud tops, no matter where they occur, as long as they are seen from the top of the atmosphere. Weight by total liquid cloud top fraction of  (as seen from TOA) each time sample when computing monthly mean. -->
@@ -258,11 +257,9 @@
    <field id="CMIP6_sconcso4"      field_ref="sconcso4"         /> <!-- P1 (kg m-3) mass_concentration_of_sulfate_dry_aerosol_in_air : mass concentration of sulfate dry aerosol in air in model lowest layer. -->
    <field id="CMIP6_sconcss"       field_ref="sconcss"          /> <!-- P1 (kg m-3) mass_concentration_of_seasalt_dry_aerosol_in_air : mass concentration of seasalt dry aerosol in air in model lowest layer -->
-   <field id="CMIP6_sedustCI"      field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_dust_dry_aerosol_particles_due_to_sedimentation : Balkanski - LSCE -->
+   <field id="CMIP6_sedustCI"      field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_dust_dry_aerosol_particles_due_to_sedimentation : Balkanski - LSCE -->
    <field id="CMIP6_sfcWind"       field_ref="wind10m"          /> <!-- P1 (m s-1) wind_speed : near-surface (usually, 10 meters) wind speed. -->
    <field id="CMIP6_sfcWindmax"    field_ref="CMIP6_sfcWind" freq_op="1d"  operation="maximum"> @this </field>   <!-- P1 (m s-1) wind_speed : Daily maximum near-surface (usually, 10 meters) wind speed. -->
-   <field id="CMIP6_sftgif"        field_ref="pourc_lic"        /> <!-- P1 (%) land_ice_area_fraction : Fraction of grid cell covered by land ice (ice sheet, ice shelf, ice cap, glacier) -->
    <field id="CMIP6_sftlf"         field_ref="pourc_ter"        /> <!-- P1 (%) land_area_fraction : Please express "X_area_fraction" as the percentage of horizontal area occupied by X. -->
-   <field id="CMIP6_siltfrac"      field_ref="dummy_XYSo"       /> <!-- P1 (1.0) missing : Silt Fraction -->
-   <field id="CMIP6_slbnosn"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) sublimation_amount_assuming_no_snow : Sublimation of the snow free area -->
+   <field id="CMIP6_siltfrac"      field_ref="dummy_not_provided"       /> <!-- P1 (1.0) missing : Silt Fraction -->
    <field id="CMIP6_smc"           field_ref="f_th"        /> <!-- P2 (kg m-2 s-1) atmosphere_net_upward_shallow_convective_mass_flux : The net mass flux represents the difference between the updraft and downdraft components.  For models with a distinct shallow convection scheme, this is calculated as convective mass flux divided by the area of the whole grid cell (not just the area of the cloud). -->
    <field id="CMIP6_snmsl"         field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) surface_snow_melt_flux_into_soil_layer : Water flowing out of snowpack -->
@@ -276,5 +273,5 @@
    <field id="CMIP6_swtoaasdust"   field_ref="dummy_XY"         /> <!-- P1 (W m-2) toa_instantaneous_shortwave_forcing : proposed name: toa_instantaneous_shortwave_forcing_due_to_dust_ambient_aerosol -->
    <field id="CMIP6_swtoacsdust"   field_ref="dummy_XY"         /> <!-- P1 (W m-2) toa_instantaneous_shortwave_forcing : proposed name: toa_instantaneous_shortwave_forcing_due_to_dust_ambient_aerosol_assuming_clear_sky -->
-   <field id="CMIP6_swtoafluxaerocs" field_ref="dummy_XY"       /> <!-- P1 (W m-2) shortwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling shortwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
+   <field id="CMIP6_swtoafluxaerocs" field_ref="dummy_XY"         /> <!-- P1 (W m-2) shortwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling shortwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
    <field id="CMIP6_sza"           field_ref="dummy_XY"         /> <!-- P1 (degree) solar_zenith_angle : The angle between the line of sight to the sun and the local vertical -->
    <field id="CMIP6_t2"            field_ref="dummy_XYA"        /> <!-- P2 (K2) square_of_air_temperature : Air temperature squared -->
@@ -282,10 +279,12 @@
    <field id="CMIP6_tas"           field_ref="t2m"              /> <!-- P1 (K) air_temperature : near-surface (usually, 2 meter) air temperature -->
    <field id="CMIP6_tasmax"        field_ref="CMIP6_tas" freq_op="1d"  operation="maximum"> @this </field>   <!-- P1 (K) air_temperature : maximum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: max") -->
+   <field id="CMIP6_tasmaxCrop"    field_ref="dummy_XY"         /> <!-- P1 (K) air_temperature : maximum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: max") -->
    <field id="CMIP6_tasmin"        field_ref="CMIP6_tas" freq_op="1d" operation="minimum"> @this  </field>   <!-- P1 (K) air_temperature : minimum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: min") -->
+   <field id="CMIP6_tasminCrop"    field_ref="dummy_XY"         /> <!-- P1 (K) air_temperature : minimum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: min") -->
    <field id="CMIP6_tau"           field_ref="taux"              >  sqrt( taux^2 + tauy^2)        </field>   <!-- P1 (N m-2) surface_downward_stress : module of the momentum lost by the atmosphere to the surface. -->
    <field id="CMIP6_tauu"          field_ref="taux"             /> <!-- P1 (Pa) surface_downward_eastward_stress : Downward eastward wind stress at the surface -->
-   <field id="CMIP6_tauupbl"       field_ref="dummy_XY"         /> <!-- P1 (Pa) surface_downward_eastward_stress_due_to_planetary_boundary_layer : The  downward eastward stress associated with the models parameterization of the plantary boundary layer. (This request is related to a WGNE effort to understand how models parameterize the surface stresses.) -->
+   <field id="CMIP6_tauupbl"       field_ref="dummy_XY"         /> <!-- P1 (Pa) surface_downward_eastward_stress_due_to_planetary_boundary_layer : The  downward eastward stress associated with the models parameterization of the planetary boundary layer. (This request is related to a WGNE effort to understand how models parameterize the surface stresses.) -->
    <field id="CMIP6_tauv"          field_ref="tauy"             /> <!-- P1 (Pa) surface_downward_northward_stress : Downward northward wind stress at the surface -->
-   <field id="CMIP6_tauvpbl"       field_ref="dummy_XY"         /> <!-- P1 (Pa) surface_downward_northward_stress_due_to_planetary_boundary_layer : The  downward northward stress associated with the models parameterization of the plantary boundary layer. (This request is related to a WGNE effort to understand how models parameterize the surface stresses.) -->
+   <field id="CMIP6_tauvpbl"       field_ref="dummy_XY"         /> <!-- P1 (Pa) surface_downward_northward_stress_due_to_planetary_boundary_layer : The  downward northward stress associated with the models parameterization of the planetary boundary layer. (This request is related to a WGNE effort to understand how models parameterize the surface stresses.) -->
    <field id="CMIP6_tdps"          field_ref="dummy_XY"         /> <!-- P2 (K) dew_point_temperature : unset -->
    <field id="CMIP6_tendacabf"     field_ref="dummy_0d"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_surface_mass_balance : The total surface mass balance flux over land ice is a spatial integration of the surface mass balance flux -->